<?php
/*
Plugin Name: TablePress Extension: Change Admin Menu Name
Plugin URI: https://tablepress.org/extensions/admin-menu-name/
Description: Custom Extension for TablePress to change the entry name in the admin menu
Version: 1.0
Author: Tobias Bäthge
Author URI: https://tobias.baethge.com/
*/

// No need to load this on the frontend.
if ( ! is_admin() ) {
	return;
}

add_filter( 'tablepress_admin_menu_entry_name', 'tablepress_change_admin_menu_entry_name' );

/**
 * Change the admin menu name for TablePress.
 *
 * @since 1.0.0
 *
 * @param string $name Current name in the admin menu.
 * @return string New name in the admin menu.
 */
function tablepress_change_admin_menu_entry_name( $name ) {
	return 'Tables';
}
